Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/plugins/experience/types", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.SegmentType = exports.ExperienceType = exports.ExperimentStatusType = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var ExperimentStatusType = {
      label: _propTypes.default.string.isRequired,
      value: _propTypes.default.number.isRequired
    };
    exports.ExperimentStatusType = ExperimentStatusType;
    var ExperienceType = {
      hasLockedSegmentsExperiment: _propTypes.default.bool,
      name: _propTypes.default.string.isRequired,
      priority: _propTypes.default.number.isRequired,
      segmentsEntryId: _propTypes.default.string.isRequired,
      segmentsEntryName: _propTypes.default.string,
      segmentsExperienceId: _propTypes.default.string.isRequired,
      segmentsExperimentStatus: _propTypes.default.shape(ExperimentStatusType),
      segmentsExperimentURL: _propTypes.default.string
    };
    exports.ExperienceType = ExperienceType;
    var SegmentType = {
      name: _propTypes.default.string.isRequired,
      segmentsEntryId: _propTypes.default.string.isRequired
    };
    exports.SegmentType = SegmentType;
    //# sourceMappingURL=types.js.map
  }
});
//# sourceMappingURL=types.js.map