Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/processors/TextProcessor", ['module', 'exports', 'require', './getAlloyEditorProcessor', './getLinkableEditableEditorWrapper'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _getAlloyEditorProcessor = _interopRequireDefault(require("./getAlloyEditorProcessor"));

    var _getLinkableEditableEditorWrapper = require("./getLinkableEditableEditorWrapper");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var _default = (0, _getAlloyEditorProcessor.default)('text', _getLinkableEditableEditorWrapper.getLinkableEditableEditorWrapper, function (element, value) {
      var config = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

      if (config.href) {
        var anchor = element instanceof HTMLAnchorElement ? element : element.querySelector('a');

        if (!anchor) {
          anchor = document.createElement('a');
        }

        anchor.href = config.href;
        anchor.target = config.target || '';
        anchor.innerHTML = value;

        if (!element.contains(anchor)) {
          element.innerHTML = anchor.outerHTML;
        }
      } else if (value) {
        element.innerHTML = value;
      }
    });

    exports.default = _default;
    //# sourceMappingURL=TextProcessor.js.map
  }
});
//# sourceMappingURL=TextProcessor.js.map