Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/reducers/layoutDataReducer", ['module', 'exports', 'require', '../actions/types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = layoutDataReducer;
    exports.INITIAL_STATE = void 0;

    var _types = require("../actions/types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var INITIAL_STATE = {
      items: {}
    };
    exports.INITIAL_STATE = INITIAL_STATE;

    function layoutDataReducer() {
      var layoutData = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _types.UPDATE_COL_SIZE:
        case _types.UPDATE_LAYOUT_DATA:
        case _types.ADD_FRAGMENT_ENTRY_LINKS:
        case _types.ADD_ITEM:
        case _types.DELETE_ITEM:
        case _types.DUPLICATE_ITEM:
        case _types.MOVE_ITEM:
        case _types.UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION:
        case _types.UPDATE_ITEM_CONFIG:
        case _types.UPDATE_ROW_COLUMNS:
          return action.layoutData;

        default:
          return layoutData;
      }
    }
    //# sourceMappingURL=layoutDataReducer.js.map
  }
});
//# sourceMappingURL=layoutDataReducer.js.map