Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/selectors/selectEditableValue", ['module', 'exports', 'require', '../config/constants/editableFragmentEntryProcessor', './selectEditableValues'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectEditableValue;

    var _editableFragmentEntryProcessor = require("../config/constants/editableFragmentEntryProcessor");

    var _selectEditableValues = _interopRequireDefault(require("./selectEditableValues"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function selectEditableValue(state, fragmentEntryLinkId, editableId) {
      var processorType = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : _editableFragmentEntryProcessor.EDITABLE_FRAGMENT_ENTRY_PROCESSOR;
      var editableValues = (0, _selectEditableValues.default)(state, fragmentEntryLinkId);
      return editableValues[processorType] && editableValues[processorType][editableId] || {};
    }
    //# sourceMappingURL=selectEditableValue.js.map
  }
});
//# sourceMappingURL=selectEditableValue.js.map